/* For free support for VSIDE, please visit www.vsdsp-forum.com */

// Starting point template for creating VSOS3 libraries and device drivers.
// This will create a <projectname>.DL3 file, which you can copy to 
// your VS1005 Developer Board's system disk's SYS subdirectory.

// DL3 files require VSOS3 kernel version 3.x to run.

// If you add the libary name to S:CONFIG.TXT, and put the library 
// to S:SYS/, it will be loaded and run during boot-up. 

#include <vo_stdio.h>
#include <volink.h>     // Linker directives like DLLENTRY
#include <apploader.h>  // RunLibraryFunction etc
#include <kernel.h>
#include "touch_int.h"


int main(void) {
	return InitTouch();
}


#if 0
/* Never removed from memory, so no fini() function */
void fini(void) {
	PERIP(INT_ENABLE0_HP) &= ~INTF_TIMER1;
	PERIP(INT_ENABLE0_LP) &= ~INTF_TIMER1;
}
#endif
